package com.ruoyi.system.service_yada.impl;

import com.ruoyi.system.domain_yada.CityFocusVO;
import com.ruoyi.system.domain_yada.CityInformation;
import com.ruoyi.system.domain_yada.OrientationVO;
import com.ruoyi.system.mapper_yada.AustraliaMiddleEastMapper;
import com.ruoyi.system.mapper_yada.CityExpandMapper;
import com.ruoyi.system.service_yada.ICityExpandService;
import org.springframework.stereotype.Service;


import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/1 10:12
 */
@Service
public class CityExpandServiceimpl implements ICityExpandService {


    @Resource
    private CityExpandMapper mapper;

    @Override
    public List<CityFocusVO> selectExpand(String city, String cityCh, String year) {
        return mapper.selectExpand(city,cityCh,year);
    }

    @Override
    public List<OrientationVO> selectOrientation(String city, String superior) {
        return  mapper.selectOrientation(city,superior);
    }

    @Override
    public List<CityInformation> selectInfrom(String city, String superior) {
        return mapper.selectInfrom(city,superior);
    }
}
